/* AMD K7 gmp-mparam.h -- Compiler/machine parameter header file.

Copyright 1991, 1993, 1994, 2000, 2001, 2002 Free Software Foundation, Inc.

This file is part of the GNU MP Library.

The GNU MP Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.

The GNU MP Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA. */

#define BITS_PER_MP_LIMB 32
#define BYTES_PER_MP_LIMB 4


/* 1400 MHz duron */

/* Generated by tuneup.c, 2005-03-27, gcc 3.3 */

#define MUL_KARATSUBA_THRESHOLD          26
#define MUL_TOOM3_THRESHOLD             177

#define SQR_BASECASE_THRESHOLD            0  /* always */
#define SQR_KARATSUBA_THRESHOLD          50
#define SQR_TOOM3_THRESHOLD             186

#define DIV_SB_PREINV_THRESHOLD           4
#define DIV_DC_THRESHOLD                 84
#define POWM_THRESHOLD                  131

#define GCD_ACCEL_THRESHOLD              45
#define NGCD_LEHMER_THRESHOLD            78
#define HGCD_SCHOENHAGE_THRESHOLD       182
#define GCD_SCHOENHAGE_THRESHOLD        951
#define GCDEXT_THRESHOLD                 25

#define HBGCD_THRESHOLD                 116
#define BGCD_THRESHOLD                 1015
#define SGCD_THRESHOLD                 1228
#define NHGCD_THRESHOLD                 174
#define NGCD_THRESHOLD                  866
#define JACOBI_BASE_METHOD                1

#define USE_PREINV_DIVREM_1               1
#define USE_PREINV_MOD_1                  1  /* native */
#define DIVREM_2_THRESHOLD                0  /* always */
#define DIVEXACT_1_THRESHOLD              0  /* always */
#define MODEXACT_1_ODD_THRESHOLD          0  /* always */

#define GET_STR_DC_THRESHOLD             22
#define GET_STR_PRECOMPUTE_THRESHOLD     35
#define SET_STR_THRESHOLD              4120

#define MUL_FFT_TABLE  { 784, 1696, 3456, 9728, 22528, 57344, 0 }
#define MUL_FFT_MODF_THRESHOLD          800
#define MUL_FFT_THRESHOLD             13312

#define SQR_FFT_TABLE  { 784, 1760, 3456, 8704, 22528, 57344, 0 }
#define SQR_FFT_MODF_THRESHOLD          800
#define SQR_FFT_THRESHOLD             13312
